ru.bitel.bgbilling.modules.tv.api.common

## Class AccessCodes

- java.lang.Object
- - ru.bitel.bgbilling.modules.tv.api.common.AccessCodes

-     public class AccessCodes
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ACCOUNTING_PERIOD_NOT_AVAILABLE`
    `static int` | `AUTH_DENY`
    `static int` | `AUTHORIZATION_SUCCEEDED`
    `static int` | `BALANCE_INSUFFICIENT`
    `static int` | `CALL_TYPE_NOT_RECOGNIZED`
    `static int` | `CARD_ACTIVATED_BALANCE`
    `static int` | `CARD_EXPIRED`
    `static int` | `CARD_FOR_BALANCE`
    `static int` | `CARD_LOCKED`
    `static int` | `CONTRACT_LOCKED`
    `static int` | `DESTINATION_DENY`
    `static int` | `DESTINATION_NOT_FOUND`
    `static int` | `FREE_IP_ADDRESS_NOT_FOUND`
    `static int` | `IDENTIFIER_DENY`
    `static int` | `INVALID_ACCOUNT`
    `static int` | `INVALID_PIN`
    `static int` | `MAC_DENY`
    `static int` | `NAS_DENY`
    `static int` | `NAS_NOT_FOUND`
    `static int` | `PRICE_NOT_FOUND`
    `static int` | `REALM_DENY`
    `static int` | `SERVICE_CLOSED`
    `static int` | `SERVICE_DENY`
    `static int` | `SERVICE_LOCKED`
    `static int` | `SERVICE_NOT_FOUND`
    `static int` | `SYSTEM_ERROR`
    `static int` | `TARIFF_NOT_FOUND`
    `static int` | `TOO_MANY_SESSIONS_ERROR`
    `static int` | `USER_DENY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessCodes()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `isConnectionStateful(int accessCode)` Может ли состояние соединение измениться с этим accessCode.
    `static boolean` | `isStateful(int accessCode)`
    `static boolean` | `isStateRelated(int accessCode)`
    `static java.lang.String` | `toString(ParameterMap moduleSetup, int code)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AUTHORIZATION_SUCCEEDED

          public static final int AUTHORIZATION_SUCCEEDED

      See Also:
        Constant Field Values

    - #### INVALID_ACCOUNT

          public static final int INVALID_ACCOUNT

      See Also:
        Constant Field Values

    - #### INVALID_PIN

          public static final int INVALID_PIN

      See Also:
        Constant Field Values

    - #### TOO_MANY_SESSIONS_ERROR

          public static final int TOO_MANY_SESSIONS_ERROR

      See Also:
        Constant Field Values

    - #### ACCOUNTING_PERIOD_NOT_AVAILABLE

          public static final int ACCOUNTING_PERIOD_NOT_AVAILABLE

      See Also:
        Constant Field Values

    - #### SERVICE_LOCKED

          public static final int SERVICE_LOCKED

      See Also:
        Constant Field Values

    - #### CONTRACT_LOCKED

          public static final int CONTRACT_LOCKED

      See Also:
        Constant Field Values

    - #### BALANCE_INSUFFICIENT

          public static final int BALANCE_INSUFFICIENT

      See Also:
        Constant Field Values

    - #### SERVICE_CLOSED

          public static final int SERVICE_CLOSED

      See Also:
        Constant Field Values

    - #### CARD_EXPIRED

          public static final int CARD_EXPIRED

      See Also:
        Constant Field Values

    - #### CARD_LOCKED

          public static final int CARD_LOCKED

      See Also:
        Constant Field Values

    - #### CARD_FOR_BALANCE

          public static final int CARD_FOR_BALANCE

      See Also:
        Constant Field Values

    - #### CARD_ACTIVATED_BALANCE

          public static final int CARD_ACTIVATED_BALANCE

      See Also:
        Constant Field Values

    - #### NAS_DENY

          public static final int NAS_DENY

      See Also:
        Constant Field Values

    - #### SERVICE_DENY

          public static final int SERVICE_DENY

      See Also:
        Constant Field Values

    - #### USER_DENY

          public static final int USER_DENY

      See Also:
        Constant Field Values

    - #### REALM_DENY

          public static final int REALM_DENY

      See Also:
        Constant Field Values

    - #### AUTH_DENY

          public static final int AUTH_DENY

      See Also:
        Constant Field Values

    - #### DESTINATION_DENY

          public static final int DESTINATION_DENY

      See Also:
        Constant Field Values

    - #### MAC_DENY

          public static final int MAC_DENY

      See Also:
        Constant Field Values

    - #### IDENTIFIER_DENY

          public static final int IDENTIFIER_DENY

      See Also:
        Constant Field Values

    - #### NAS_NOT_FOUND

          public static final int NAS_NOT_FOUND

      See Also:
        Constant Field Values

    - #### SERVICE_NOT_FOUND

          public static final int SERVICE_NOT_FOUND

      See Also:
        Constant Field Values

    - #### TARIFF_NOT_FOUND

          public static final int TARIFF_NOT_FOUND

      See Also:
        Constant Field Values

    - #### PRICE_NOT_FOUND

          public static final int PRICE_NOT_FOUND

      See Also:
        Constant Field Values

    - #### CALL_TYPE_NOT_RECOGNIZED

          public static final int CALL_TYPE_NOT_RECOGNIZED

      See Also:
        Constant Field Values

    - #### DESTINATION_NOT_FOUND

          public static final int DESTINATION_NOT_FOUND

      See Also:
        Constant Field Values

    - #### FREE_IP_ADDRESS_NOT_FOUND

          public static final int FREE_IP_ADDRESS_NOT_FOUND

      See Also:
        Constant Field Values

    - #### SYSTEM_ERROR

          public static final int SYSTEM_ERROR

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AccessCodes

          public AccessCodes()

  - ### Method Detail

    - #### isStateRelated

          public static boolean isStateRelated(int accessCode)

    - #### isStateful

          public static boolean isStateful(int accessCode)

    - #### toString

          public static java.lang.String toString(ParameterMap moduleSetup,
                                                  int code)

    - #### isConnectionStateful

          public static boolean isConnectionStateful(int accessCode)

      Может ли состояние соединение измениться с этим accessCode.
      Например, клиент подключился с запрещенным MAC-адресом - соединение нельзя переключать в состояние включен.
      Parameters:
        `accessCode` -
      Returns: